%global momorel 2

Summary: ASN.1 library
Name: libtasn1

Version: 1.3
Release: %{momorel}m%{?dist}
License: LGPL
Group: System Environment/Libraries
URL: http://www.gnutls.org

Source0: ftp://ftp.gnutls.org/pub/gnutls/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This is the ASN.1 library used in GNUTLS. 

%package devel
Summary: Libraries and include files for developing with libtasn1
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
libtasn1-devel

%prep
%setup -q

%build
%configure --enable-gtk-doc
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}/%{_datadir}/info/dir

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README THANKS
%{_bindir}/asn1Coding
%{_bindir}/asn1Decoding
%{_bindir}/asn1Parser
%{_bindir}/libtasn1-config
%{_libdir}/%{name}.so.*
%{_mandir}/man?/*
%{_datadir}/info/%{name}.info*

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}.h
%{_libdir}/%{name}.a
%{_libdir}/%{name}.la
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3-2m)
- rebuild against gcc43

* Sat Mar  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3-1m)
- update to 1.3

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1-2m)
- %%NoSource -> NoSource

* Tue Oct 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1-1m)
- update to 1.1

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.8-2m)
- retrived libtool library

* Sun Jan 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.8-1m)
- initial build
